public class 
    public static double F(double y)
    {
      // siyah cisim yzdesi
      // y mikrometre*K     
      double toplam=0;
      if(y==0) return 0;
      double x=14387.69/y;
      for(int n=1;n<200;n++)
      {
      toplam+=Math.exp(-n*x)/n*(x*x*x+3.0*x*x/n+6.0*x/(n*n)+6.0/(n*n*n));
      }
      toplam*=15/(Math.PI*Math.PI*Math.PI*Math.PI);
      return toplam;
    }
